#!/usr/bin/env node
"use strict";
import './deno.js'
import * as __module__ from "./cli.cjs"
const {
  argv,
  importPath,
  injectGlobalRequire,
  isMain,
  main,
  normalizeExt,
  printUsage,
  runScript,
  scriptFromHttp,
  scriptFromStdin,
  transformMarkdown,
  writeAndImport
} = __module__
export {
  argv,
  importPath,
  injectGlobalRequire,
  isMain,
  main,
  normalizeExt,
  printUsage,
  runScript,
  scriptFromHttp,
  scriptFromStdin,
  transformMarkdown,
  writeAndImport
}

